> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session

> Get session metadata with turn_count, message_count, artifact_count. Returns 403 if session does not belong to user/project, 404 if not found.



## OpenAPI

````yaml /openapi/em-talk2data-v2.yaml get /talk2data/chat/sessions/{session_id}
openapi: 3.1.0
info:
  title: Talk to Data Service
  version: 3.2.0-dev1
servers: []
security: []
paths:
  /talk2data/chat/sessions/{session_id}:
    get:
      tags:
        - chat-sessions
      summary: Get session
      description: >-
        Get session metadata with turn_count, message_count, artifact_count.
        Returns 403 if session does not belong to user/project, 404 if not
        found.
      operationId: get_session_talk2data_chat_sessions__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            description: Session ID
            title: Session Id
          description: Session ID
        - name: x-project-id
          in: header
          required: true
          schema:
            type: string
            description: Project identifier
            title: X-Project-Id
          description: Project identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionDetailResponse:
      properties:
        session_id:
          type: string
          title: Session Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        turn_count:
          type: integer
          title: Turn Count
        message_count:
          type: integer
          title: Message Count
        artifact_count:
          type: integer
          title: Artifact Count
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - session_id
        - title
        - turn_count
        - message_count
        - artifact_count
        - created_at
        - updated_at
      title: SessionDetailResponse
      description: Single session with counts (GET /api/chat/sessions/{session_id}).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````